[oe-commits] Simon Busch : aurora: major update to meet latest changes of the software

git version control git at git.openembedded.org
Fri Jun 17 21:08:55 UTC 2011


Module: openembedded.git
Branch: master
Commit: 33b9aeeafe54a5b6eb43a80dfad3151acc79595d
URL:    http://git.openembedded.org/?p=openembedded.git&a=commit;h=33b9aeeafe54a5b6eb43a80dfad3151acc79595d

Author: Simon Busch <morphis at gravedo.de>
Date:   Fri Jun 10 22:31:40 2011 +0200

aurora: major update to meet latest changes of the software

- install a initscript for the new aurora-systemmanager
- drop dependency on pyside build components
- add vala build support and depend on now on libfso-glib/libfsobasics

---

 recipes/freesmartphone/aurora/aurora-systemmanager |   40 ++++++++++++++++++++
 recipes/freesmartphone/aurora_git.bb               |   27 ++++++++++---
 2 files changed, 60 insertions(+), 7 deletions(-)

diff --git a/recipes/freesmartphone/aurora/aurora-systemmanager b/recipes/freesmartphone/aurora/aurora-systemmanager
new file mode 100644
index 0000000..0adb32b
--- /dev/null
+++ b/recipes/freesmartphone/aurora/aurora-systemmanager
@@ -0,0 +1,40 @@
+#! /bin/sh
+#
+# aurora-systemmanager -- This shell script starts and stops the Aurora system manager
+#
+# chkconfig: 345 90 10
+# description: This is the system manager for the aurora feature phone client.
+# processname: aurora-systemmanager
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+NAME=aurora
+
+[ -f /etc/default/rcS ] && . /etc/default/rcS
+
+case "$1" in
+    start)
+        echo -n "Starting aurora-systemmanager: "
+        start-stop-daemon --start --pidfile /var/run/${NAME}.pid --make-pidfile --background -x /usr/bin/${NAME}
+        if [ $? = 0 ]; then
+            echo "(ok)"
+        else
+            echo "(failed)"
+        fi
+        ;;
+    stop)
+        echo -n "Stopping aurora-systemmanager: "
+        start-stop-daemon --stop --pidfile /var/run/${NAME}.pid --oknodo
+        rm -f /var/run/${NAME}.pid
+        echo "(done)"
+        ;;
+    restart|force-reload)
+        $0 stop
+        $0 start
+        ;;
+    *)
+        echo "Usage: /etc/init.d/aurora-systemmanager {start|stop|restart|force-reload}"
+        exit 1
+        ;;
+esac
+
+exit 0
diff --git a/recipes/freesmartphone/aurora_git.bb b/recipes/freesmartphone/aurora_git.bb
index f321c53..78cc33d 100644
--- a/recipes/freesmartphone/aurora_git.bb
+++ b/recipes/freesmartphone/aurora_git.bb
@@ -4,17 +4,22 @@ AUTHOR = "Simon Busch <morphis at gravedo.de>"
 HOMEPAGE = "http://www.freesmartphone.org"
 SECTION = "fso"
 LICENSE = "GPLv2"
-SRCREV = "1043282ce2c9e7c8378c3ab6477e146cfe507577"
+SRCREV = "a659aabe331ec2cf94753da9789b7a5b933bcafa"
 PV = "0.1.0+gitr${SRCPV}"
-PR = "r6"
+PR = "r7"
 
 SRC_URI = "\
   ${FREESMARTPHONE_GIT}/aurora.git;protocol=git;branch=master \
   file://aurora-daemon \
+  file://aurora-systemmanager \
 "
 S = "${WORKDIR}/git/aurora"
 
-DEPENDS = "shiboken-native libshiboken python"
+DEPENDS = " \
+  python \
+  libfsobasics \
+  libfso-glib \
+"
 
 RDEPENDS_${PN} = "\
   python-logging \
@@ -25,21 +30,29 @@ RDEPENDS_${PN} = "\
   python-phoneutils \
 "
 
-inherit autotools python-dir update-rc.d
+inherit autotools python-dir update-rc.d vala
 
 QT_DIR_NAME = "qtopia"
 EXTRA_OECONF_append = "--enable-qws-support --with-qt-basedir=${QT_DIR_NAME}"
 
-INITSCRIPT_NAME = "aurora-daemon"
-INITSCRIPT_PARAMS = "defaults 90"
+INITSCRIPT_PACKAGES = "${PN} ${PN}-systemmanager"
+
+INITSCRIPT_NAME_${PN} = "aurora-daemon"
+INITSCRIPT_PARAMS_${PN} = "defaults 90"
+
+INITSCRIPT_NAME_${PN}-systemmanager = "aurora-systemmanager"
+INITSCRIPT_PARAMS_${PN}-systemmanager = "defaults 85"
 
 do_install_append() {
   install -d ${D}${sysconfdir}/init.d/
-  install -m 0755 ${WORKDIR}/${INITSCRIPT_NAME} ${D}${sysconfdir}/init.d/
+  install -m 0755 ${WORKDIR}/${INITSCRIPT_NAME_${PN}} ${D}${sysconfdir}/init.d/
+  install -m 0755 ${WORKDIR}/${INITSCRIPT_NAME_${PN}-systemmanager} ${D}${sysconfdir}/init.d/
 }
 
 PACKAGES = "${PN}-dbg ${PN}"
+
 FILES_${PN}-dbg += "${libdir}/${QT_DIR_NAME}/imports/Aurora/*/.debug"
+
 FILES_${PN} += " \
   ${PYTHON_SITEPACKAGES_DIR}/aurora \
   ${libdir}/${QT_DIR_NAME}/imports/Aurora \





More information about the Openembedded-commits mailing list